# 🌟 TalkGuidance GPT: A Screen Reader Powered by GPT

TalkGuidance GPT is a Chrome extension designed to make web browsing more accessible for visually impaired users. By utilizing GPT technology, this extension intelligently analyzes DOM elements and provides detailed information about them when users navigate using the Tab key. This innovative solution enables a more inclusive browsing experience, allowing blind users to better understand the purpose and function of website elements.

## 🎨 Translations

- [中文版本](./docs/readme-translations/cn-readme.md)

## 📖 Usage

Tutorial video:

- [Youtube English Version TalkGuidance GPT Tutorial](https://youtu.be/SLkCEpOh8Bg)
- [Youtube 中文版 TalkGuidance GPT Tutorial](https://youtu.be/PujIKqKt6G4)
- [哔哩哔哩 英文版 TalkGuidance GPT Tutorial](https://www.bilibili.com/video/BV1KL411X7eP/?share_source=copy_web&vd_source=ef072e238192b2313b9c052a30d6f040)
- [哔哩哔哩 中文版 TalkGuidance GPT Tutorial](https://www.bilibili.com/video/BV1Hh411V7iY/?share_source=copy_web&vd_source=ef072e238192b2313b9c052a30d6f040)

With TalkGuidance GPT installed and configured, simply use the Tab key to navigate through web pages. As you focus on different elements, the extension will analyze the DOM and provide clear, concise descriptions to help you understand the element's purpose.

## 🎯 Features

- GPT-powered analysis of DOM elements
- Analyzes the DOM and context to describe elements
- Customizable language settings
- Adjustable speech rate
- Easy-to-use interface
- No data collection
- Free to use
- Voice Control (coming soon!)

## 🛠️ Installation

1. Download the TalkGuidance GPT Chrome extension from the Chrome Web Store [TalkGuidanceGPT -- Chrome Extension](https://chrome.google.com/webstore/detail/talkguidancegpt/bjfkdkgfaondbkddpifljpgbleilmljg?hl=en-US&authuser=0).
2. Click "Add to Chrome" to install the extension on your browser.
3. Once installed, you will see the TalkGuidance GPT icon in the top-right corner of your browser.

## ⚙️ Setting Up Language, Rate, and API Key

To customize your TalkGuidance GPT experience, follow these steps:

1. Click on the TalkGuidance GPT icon in the top-right corner of your browser(in the extension icon).
2. In the extension popup, you can configure the following settings:
3. API Key: Enter your GPT API key.
4. Language: Select your preferred language from the dropdown list.
5. Speed Rate: Adjust the speech rate using the input field (range: 0 to 1, in increments of 0.01).
6. Click "Save" to apply your changes.

## 🔑 How to Get a GPT API Key

To use TalkGuidance GPT, you'll need a GPT API key. Follow these steps to get one:

1. Visit OpenAI's website and sign up for an account.[Login/Sign in to OpenAI](https://auth0.openai.com/u/login)
2. After signing up, navigate to the API section or visit this page to request API access.[Create API key](https://platform.openai.com/account/api-keys)
3. Once you have your API key, enter it in the extension popup, and click save. You're all set!

Please note that TalkGuidance GPT is not intended for e-commerce use.

## 🌐 Supported Languages

TalkGuidance GPT currently supports the following languages:

English (United Kingdom)
English (United States)
Chinese (Simplified)
Chinese (Traditional)
Japanese
Cantonese
Italian
Swedish
French (Canada)
Malay
German
Hebrew
Indonesian
Bulgarian
French (France)
Spanish (Mexico)
Finnish
Spanish (Spain)
And more!

## 💡 Feedback and Support

We're always looking to improve TalkGuidance GPT. If you have any suggestions, feedback, or need assistance, please don't hesitate to contact us at xff9924@email.com.

Happy browsing! 🌍

## 📄 License

<a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/sg/"><img alt="Creative Commons Licence" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/3.0/sg/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/sg/">Creative Commons Attribution-NonCommercial 3.0 Singapore License</a>.
