## 🌟 TalkGuidance GPT：由 GPT 驱动的屏幕阅读器

TalkGuidance GPT 是一个为视觉障碍用户设计的 Chrome 扩展，旨在使网络浏览更具可访问性。通过利用 GPT 技术，该扩展智能地分析 DOM 元素并在用户使用 Tab 键导航时提供有关它们的详细信息。这种创新解决方案使得浏览体验更具包容性，让盲人用户能够更好地了解网站元素的目的和功能。

## 🎨 Translations

- [English](../../README.md)

## 📖 使用方法

教程视频: 

- [Youtube English Version TalkGuidance GPT Tutorial](https://youtu.be/SLkCEpOh8Bg)
- [Youtube 中文版 TalkGuidance GPT Tutorial](https://youtu.be/PujIKqKt6G4)
- [哔哩哔哩 英文版 TalkGuidance GPT Tutorial](https://www.bilibili.com/video/BV1KL411X7eP/?share_source=copy_web&vd_source=ef072e238192b2313b9c052a30d6f040)
- [哔哩哔哩 中文版 TalkGuidance GPT Tutorial](https://www.bilibili.com/video/BV1Hh411V7iY/?share_source=copy_web&vd_source=ef072e238192b2313b9c052a30d6f040)

安装并配置好 [TalkGuidanceGPT -- 谷歌扩展商店地址](https://chrome.google.com/webstore/detail/talkguidancegpt/bjfkdkgfaondbkddpifljpgbleilmljg?hl=zh-CN&authuser=0) 后 ，只需使用 `Tab` 键浏览网页。当您关注不同的元素时，扩展程序将分析 DOM 并提供清晰、简洁的描述，帮助您了解元素的用途。

1. 点击浏览器右上角的 TalkGuidance GPT 图标（位于扩展图标中）。
2. 在扩展弹出窗口中，您可以配置以下设置：
3. API 密钥：输入您的 GPT API 密钥。
4. 语言：从下拉列表中选择您喜欢的语言。
5. 语速：使用输入字段调整语音速率（范围：0 到 1，以 0.01 为增量）。
6. 切换 TalkGuidance 的开关以启用/禁用扩展。
7. 点击“保存”以应用更改。
8. 设置完成后，当您在浏览器中打开新页面时，您应该会听到“新页面已准备就绪”的声音（确保您的声音已打开！）。
9. 在键盘上按 `Tab` 键以关注页面上的元素。稍后，您应该会听到一个声音介绍元素并指导您如何与之互动。
10. 按 `Shift + Tab` 返回到上一个元素。

## ⚙️ 设置语言、语速和 API 密钥

要自定义您的 TalkGuidance GPT 体验，请按照以下步骤操作：

1. 点击浏览器右上角的 TalkGuidance GPT 图标（位于扩展图标中）。
2. 在扩展弹出窗口中，您可以配置以下设置：
3. API 密钥：输入您的 GPT API 密钥。
4. 语言：从下拉列表中选择您喜欢的语言。
5. 语速：使用输入字段调整语音速率（范围：0 到 1，以 0.01 为增量）。
6. 切换 TalkGuidance 的开关以启用/禁用扩展。
7. 点击“保存”以应用更改。

## 🔑 如何获取 GPT API 密钥

要使用 TalkGuidance GPT，您需要一个 GPT API 密钥。按照以下步骤获取一个：

1. 访问 OpenAI 的网站并注册一个帐户。登录/注册 OpenAI
2. 注册后，导航至 API 部分或访问此页面以请求 API 访问权限。创建 API 密钥
3. 获得 API 密钥后，将其输入扩展弹出窗口，然后点击保存。您已准备就绪！

## 🎯 功能

- 由 GPT 驱动的 DOM 元素分析
- 分析 DOM 和上下文以描述元素
- 可自定义语言设置
- 可调节语速
- 易于使用的界面
- 无数据收集
- 免费使用
- 语音控制（即将推出！）

## 🛠️ 安装

1. 从 Chrome 网上应用店下载 TalkGuidance GPT Chrome 扩展。
2. 点击“添加到 Chrome”以将扩展安装到您的浏览器。
3. 安装完成后，您将在浏览器右上角看到 TalkGuidance GPT 图标。

## 🌐 支持的语言

TalkGuidance GPT 目前支持以下语言：

英语（英国）
英语（美国）
简体中文
繁体中文
日语
粤语
意大利语
瑞典语
法语（加拿大）
马来语
德语
希伯来语
印度尼西亚语
保加利亚语
法语（法国）
西班牙语（墨西哥）
芬兰语
西班牙语（西班牙）
等等！

## 💡 反馈与支持

我们一直在寻求改进 TalkGuidance GPT。如果您有任何建议、反馈或需要帮助，请随时通过 xff9924@email.com 与我们联系。

祝您浏览愉快！🌍

## 📄 许可证

<a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/sg/"><img alt="Creative Commons Licence" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/3.0/sg/88x31.png" /></a><br />本作品采用<a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/sg/">署名-非商业性使用 3.0 新加坡许可协议</a>进行许可。




